package cn.com.countrygarden.bi.main.dto.districtReport;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

public class RdPendingBuildingProjectVO {

    private String regionName;

    private String districtName;

    private String projectName;

    private String buildingType;

    private BigDecimal managerArea;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date contractCloseBuildingDate;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date temporaryCloseBuildingDate;

    private BigDecimal managerHouseholdsCount;

    private BigDecimal hardcoverHouseholdsCount;

    private BigDecimal hardcoverHouseholdsArea;

    private BigDecimal blankHouseholdsCount;

    private BigDecimal blankHouseholdsArea;

    private BigDecimal propertyPrice;

    private BigDecimal propertyArea;

    private BigDecimal serverCenterArea;

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getBuildingType() {
        return buildingType;
    }

    public void setBuildingType(String buildingType) {
        this.buildingType = buildingType;
    }

    public BigDecimal getManagerArea() {
        return managerArea;
    }

    public void setManagerArea(BigDecimal managerArea) {
        this.managerArea = managerArea;
    }

    public Date getContractCloseBuildingDate() {
        return contractCloseBuildingDate;
    }

    public void setContractCloseBuildingDate(Date contractCloseBuildingDate) {
        this.contractCloseBuildingDate = contractCloseBuildingDate;
    }

    public Date getTemporaryCloseBuildingDate() {
        return temporaryCloseBuildingDate;
    }

    public void setTemporaryCloseBuildingDate(Date temporaryCloseBuildingDate) {
        this.temporaryCloseBuildingDate = temporaryCloseBuildingDate;
    }

    public BigDecimal getManagerHouseholdsCount() {
        return managerHouseholdsCount;
    }

    public void setManagerHouseholdsCount(BigDecimal managerHouseholdsCount) {
        this.managerHouseholdsCount = managerHouseholdsCount;
    }

    public BigDecimal getHardcoverHouseholdsCount() {
        return hardcoverHouseholdsCount;
    }

    public void setHardcoverHouseholdsCount(BigDecimal hardcoverHouseholdsCount) {
        this.hardcoverHouseholdsCount = hardcoverHouseholdsCount;
    }

    public BigDecimal getHardcoverHouseholdsArea() {
        return hardcoverHouseholdsArea;
    }

    public void setHardcoverHouseholdsArea(BigDecimal hardcoverHouseholdsArea) {
        this.hardcoverHouseholdsArea = hardcoverHouseholdsArea;
    }

    public BigDecimal getBlankHouseholdsCount() {
        return blankHouseholdsCount;
    }

    public void setBlankHouseholdsCount(BigDecimal blankHouseholdsCount) {
        this.blankHouseholdsCount = blankHouseholdsCount;
    }

    public BigDecimal getBlankHouseholdsArea() {
        return blankHouseholdsArea;
    }

    public void setBlankHouseholdsArea(BigDecimal blankHouseholdsArea) {
        this.blankHouseholdsArea = blankHouseholdsArea;
    }

    public BigDecimal getPropertyPrice() {
        return propertyPrice;
    }

    public void setPropertyPrice(BigDecimal propertyPrice) {
        this.propertyPrice = propertyPrice;
    }

    public BigDecimal getPropertyArea() {
        return propertyArea;
    }

    public void setPropertyArea(BigDecimal propertyArea) {
        this.propertyArea = propertyArea;
    }

    public BigDecimal getServerCenterArea() {
        return serverCenterArea;
    }

    public void setServerCenterArea(BigDecimal serverCenterArea) {
        this.serverCenterArea = serverCenterArea;
    }

}
